GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

        • User Group Management

          • Get Group Details
          • Get Group List
          • Create Group
          • Batch Create Groups
          • Update Group
          • Batch Delete Groups
          • Add Group Members
          • Batch Remove Group Members
          • Get Group Member List
          • Get Group Authorized Resources
        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. User Group Management

  10. /
  11. Get Group Authorized Resources

¶ Get the list of resources authorized by the group

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the list of resources authorized by the group through the group code, and filter by resource type and permission group code.

¶ Method name

ManagementClient.get_group_authorized_resources

¶ Request parameters

NameType
Is it required?
Default value
Description
Sample value
codestringYes-Group codedeveloper
namespacestringNo-Code of the permission group (permission space). Do not pass to get the default permission group.default
resourceTypestringNo-Resource type

¶ Request Response

Type: AuthorizedResourceListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataarrayResponse data

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "resourceCode": "ecs:1",
    "description": "Server",
    "condition": {
      "param": "AppId",
      "operator": "StringEquals",
      "value": "1"
    },
    "resourceType": "API",
    "apiIdentifier": "/api/v1/example",
    "actions": "[\"ecs:Start\",\"ecs:Stop\"]",
    "effect": "ALLOW"
  }
}

¶ Data Structure

¶ AuthorizedResourceDto

NameType
Required
Description
Sample value
resourceCodestringYesResource descriptorecs:1
descriptionstringNoResource description informationServer
conditionarrayNoPolicy Condition Nested type: PolicyCondition.
resourceTypestringyesresource typeDATA
apiIdentifierstringyesAPI URL/api/v1/example
actionsarrayyeslist of authorized actions["ecs:Start","ecs:Stop"]
effectstringyesallow or denyALLOW

¶ PolicyCondition

NameType
Required
Description
Sample value
paramstringYesCondition ParamUserPoolId
operatorstringYesCondition OperatorBool
valuestringYesCondition Value1
Previous article: Get Group Member List Next article: Get User Built-in Field List
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.